Package org.apache.cxf.common.util

# Class ExtensionInvocationHandler

java.lang.Object
org.apache.cxf.common.util.ExtensionInvocationHandler

All Implemented Interfaces:
  `InvocationHandler`

public class ExtensionInvocationHandler extends Object implements InvocationHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtensionInvocationHandler(Object o)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `invoke(Object proxy, Method method, Object[] args)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExtensionInvocationHandler

    public ExtensionInvocationHandler(Object o)

- ## Method Details

  - ### invoke

    public Object invoke(Object proxy, Method method, Object[] args) throws Throwable
    Specified by:
      `invoke` in interface `InvocationHandler`
    Throws:
      `Throwable`